window.addEventListener('DOMContentLoaded', function() {
  var x = 50, y = 100;
  var vx = 2, vy = 1;
  var cvs1 = document.getElementById("cvs1");
  var cxt1 = cvs1.getContext("2d");
  var cvs2 = document.getElementById("cvs2");
  var cxt2 = cvs2.getContext("2d");

  for( var r = 20; r < 150; r += 10) {
    cxt1.strokeStyle = "#36c";
    cxt1.beginPath();
    cxt1.arc(150, 150, r, 0, Math.PI*2, true);
    cxt1.stroke();
  }

  function drawBall() {
    var radialGrad = cxt2.createRadialGradient(x, y, 2, x, y, 10);
    radialGrad.addColorStop(0, "#f90");
    radialGrad.addColorStop(1.0, "#c30");
    cxt2.fillStyle = radialGrad;
    cxt2.beginPath();
    cxt2.arc(x, y, 10, 0, Math.PI*2, true);
    cxt2.fill();
  }

  function eraseBall() {
     cvs2.width = cvs2.width;
//    cxt2.clearRect(x-10, y-10, 20, 20);
  }

  setInterval(function() {
    eraseBall();
    if ( x>290 || x<10 ) { vx *= -1}
    if ( y>290 || y<10 ) { vy *= -1}
    x += vx;
    y += vy;
    drawBall();
  }, 10);

  }, false);
