window.addEventListener('DOMContentLoaded', function() {
  var cvs = document.getElementById("cvs");
  var cxt = cvs.getContext("2d");

  cvs.addEventListener('mousemove', getPosition, false);
  cvs.addEventListener('click', drawStar, false);

  function getPosition(evt) {
    var px = evt.pageX;
    var py = evt.pageY;
    var cx = evt.clientX;
    var cy = evt.clientY;
    px -= cvs.offsetLeft;
    py -= cvs.offsetTop;
    cx -= cvs.offsetLeft;
    cy -= cvs.offsetTop;
    document.getElementById("pos").innerHTML =
      "pageX,Y（" + px + ", " + py +"） | " + 
      "clientX,Y（" + cx + ", " + cy +"）";
  }

  function drawStar(evt) {
    var px = evt.pageX;
    var py = evt.pageY;
    var cx = evt.clientX;
    var cy = evt.clientY;
    px -= cvs.offsetLeft;
    py -= cvs.offsetTop;
    cx -= cvs.offsetLeft;
    cy -= cvs.offsetTop;
    cxt.fillText("★", px, py);
    cxt.fillText("●", cx, cy);
    document.getElementById("pos").innerHTML =
      "pageX,Y（" + px + ", " + py +"） | " + 
      "clientX,Y（" + cx + ", " + cy +"）";
  }
  }, false);
